// *** see platform/<platform>/defaults/preferences for platform specific preferences ***

// localized extension description
pref("extensions.savefileto@mozdev.org.description", "chrome://savefileto/locale/savefileto.properties");

// clear recent folders at browser exit
pref("extensions.savefileto@mozdev.org.clearRecent", false);
// confirm removes in prefwindow
pref("extensions.savefileto@mozdev.org.confirmRemove", true);
// file name filter, '|' separated globs
pref("extensions.savefileto@mozdev.org.filter", ".*|CVS|*.lnk");
// maximum number of menu items (0 = unlimited)
pref("extensions.savefileto@mozdev.org.maxMenuLength", 0);
// minimum number of menu items
pref("extensions.savefileto@mozdev.org.minMenuLength", 5);
// use save dialog
pref("extensions.savefileto@mozdev.org.prompt", false);
// number of recent folders to be shown
pref("extensions.savefileto@mozdev.org.recentSize", 5);
// time to wait for reponse HTTP headers (milliseconds)
pref("extensions.savefileto@mozdev.org.responseTimeout", 3000);
// don't make sub-menus for empty folders
pref("extensions.savefileto@mozdev.org.trimEmptyMenu", false);

// *** PAGE ***

// is menu item shown in context menu
pref("extensions.savefileto@mozdev.org.page.enabled", true);
// menu entries json
pref("extensions.savefileto@mozdev.org.page.entries", '[{"type":"recent"},{"type":"separator"},{"type":"named","value":"Desk","menu":true},{"type":"separator"},{"type":"item","command":"cmd_savefileto_openPrefs_page"}]');
// recent folders json
pref("extensions.savefileto@mozdev.org.page.recent", '[]');

// *** LINK ***

// is menu item shown in context menu
pref("extensions.savefileto@mozdev.org.link.enabled", true);
// menu entries json
pref("extensions.savefileto@mozdev.org.link.entries", '[{"type":"recent"},{"type":"separator"},{"type":"named","value":"Desk","menu":true},{"type":"separator"},{"type":"item","command":"cmd_savefileto_openPrefs_link"}]');
// recent folders json
pref("extensions.savefileto@mozdev.org.link.recent", '[]');

// *** IMAGE ***

// is menu item shown in context menu
pref("extensions.savefileto@mozdev.org.image.enabled", true);
// menu entries json
pref("extensions.savefileto@mozdev.org.image.entries", '[{"type":"recent"},{"type":"separator"},{"type":"named","value":"Desk","menu":true},{"type":"separator"},{"type":"item","command":"cmd_savefileto_openPrefs_image"}]');
// recent folders json
pref("extensions.savefileto@mozdev.org.image.recent", '[]');

// *** FILE ***

// is shown in Save File dialog (unknownContentType.xul)
pref("extensions.savefileto@mozdev.org.file.enabled", true);
// menu entries json
pref("extensions.savefileto@mozdev.org.file.entries", '[{"type":"recent"},{"type":"separator"},{"type":"named","value":"Desk","menu":true},{"type":"separator"},{"type":"item","command":"cmd_savefileto_openPrefs_file"}]');
// recent folders json
pref("extensions.savefileto@mozdev.org.file.recent", '[]');
